// java wrapper for vtkDoubleArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDoubleArray.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDataArray_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDoubleArray_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDoubleArray",dType)) { return me; }
  if ((res= vtkDataArray_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}

// Array conversion routines
extern "C" JNIEXPORT jarray JNICALL Java_vtk_vtkDoubleArray_GetJavaArray_10(JNIEnv *env, jobject obj)
{
  vtkDoubleArray *op;
  double  *temp20;
  vtkIdType size;

  op = (vtkDoubleArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDoubleArray");
  temp20 = static_cast<double*>(op->GetVoidPointer(0));
  size = op->GetMaxId()+1;
  return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,size);
}
extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDoubleArray_SetJavaArray_10(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkDoubleArray *op;
  double *tempArray0;
  int length;
  tempArray0 = (double *)(env->GetDoubleArrayElements(id0,NULL));
  length = env->GetArrayLength(id0);
  op = (vtkDoubleArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDoubleArray");
  op->SetNumberOfTuples(length/op->GetNumberOfComponents());
  memcpy(op->GetVoidPointer(0), tempArray0, length*sizeof(double));
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDoubleArray_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDoubleArray *op;
  const char    *temp20;

  op = (vtkDoubleArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDoubleArray");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDoubleArray_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDoubleArray *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDoubleArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDoubleArray");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDoubleArray_GetDataType_12(JNIEnv *env, jobject obj)
{
  vtkDoubleArray *op;
  int      temp20;

  op = (vtkDoubleArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDoubleArray");
  temp20 = (op)->GetDataType();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDoubleArray_GetValue_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkDoubleArray *op;
  vtkIdType   temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkDoubleArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDoubleArray");
  temp20 = (op)->GetValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDoubleArray_SetValue_14(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkDoubleArray *op;
  vtkIdType   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkDoubleArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDoubleArray");
  op->SetValue(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDoubleArray_SetNumberOfValues_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkDoubleArray *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkDoubleArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDoubleArray");
  op->SetNumberOfValues(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDoubleArray_InsertValue_16(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkDoubleArray *op;
  vtkIdType   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkDoubleArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDoubleArray");
  op->InsertValue(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDoubleArray_InsertNextValue_17(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkDoubleArray *op;
  double   temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkDoubleArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDoubleArray");
  temp20 = (op)->InsertNextValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDoubleArray_VTKInit(JNIEnv *env, jobject obj)
{
  vtkDoubleArray *aNewOne = vtkDoubleArray::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDoubleArray_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDoubleArray_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDoubleArray_Typecast);
}
