// java wrapper for vtkObjectFactoryCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkObjectFactoryCollection.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkCollection_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkObjectFactoryCollection_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkObjectFactoryCollection",dType)) { return me; }
  if ((res= vtkCollection_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkObjectFactoryCollection_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkObjectFactoryCollection *op;
  const char    *temp20;

  op = (vtkObjectFactoryCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkObjectFactoryCollection");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkObjectFactoryCollection_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkObjectFactoryCollection *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkObjectFactoryCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkObjectFactoryCollection");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkObjectFactoryCollection_AddItem_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkObjectFactoryCollection *op;
  vtkObjectFactory  *temp0;
  temp0 = (vtkObjectFactory *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkObjectFactory"));

  op = (vtkObjectFactoryCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkObjectFactoryCollection");
  op->AddItem(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkObjectFactoryCollection_GetNextItem_13(JNIEnv *env, jobject obj)
{
  vtkObjectFactoryCollection *op;
  vtkObjectFactory  *temp20;
  jobject tempH;

  op = (vtkObjectFactoryCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkObjectFactoryCollection");
  temp20 = (op)->GetNextItem();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkObjectFactory", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkObjectFactoryCollection_VTKInit(JNIEnv *env, jobject obj)
{
  vtkObjectFactoryCollection *aNewOne = vtkObjectFactoryCollection::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkObjectFactoryCollection_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkObjectFactoryCollection_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkObjectFactoryCollection_Typecast);
}
