// java wrapper for vtkPropCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPropCollection.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkCollection_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPropCollection_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPropCollection",dType)) { return me; }
  if ((res= vtkCollection_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPropCollection_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPropCollection *op;
  const char    *temp20;

  op = (vtkPropCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPropCollection");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPropCollection_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPropCollection *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPropCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPropCollection");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPropCollection_AddItem_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPropCollection *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProp"));

  op = (vtkPropCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPropCollection");
  op->AddItem(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkPropCollection_GetNextProp_13(JNIEnv *env, jobject obj)
{
  vtkPropCollection *op;
  vtkProp  *temp20;
  jobject tempH;

  op = (vtkPropCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPropCollection");
  temp20 = (op)->GetNextProp();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkProp", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkPropCollection_GetLastProp_14(JNIEnv *env, jobject obj)
{
  vtkPropCollection *op;
  vtkProp  *temp20;
  jobject tempH;

  op = (vtkPropCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPropCollection");
  temp20 = (op)->GetLastProp();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkProp", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPropCollection_GetNumberOfPaths_15(JNIEnv *env, jobject obj)
{
  vtkPropCollection *op;
  int      temp20;

  op = (vtkPropCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPropCollection");
  temp20 = (op)->GetNumberOfPaths();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPropCollection_VTKInit(JNIEnv *env, jobject obj)
{
  vtkPropCollection *aNewOne = vtkPropCollection::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPropCollection_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPropCollection_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPropCollection_Typecast);
}
