// java wrapper for vtkUnsignedCharArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkUnsignedCharArray.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDataArray_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkUnsignedCharArray_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkUnsignedCharArray",dType)) { return me; }
  if ((res= vtkDataArray_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}

// Array conversion routines
extern "C" JNIEXPORT jarray JNICALL Java_vtk_vtkUnsignedCharArray_GetJavaArray_10(JNIEnv *env, jobject obj)
{
  vtkUnsignedCharArray *op;
  unsigned char  *temp20;
  vtkIdType size;

  op = (vtkUnsignedCharArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnsignedCharArray");
  temp20 = static_cast<unsigned char*>(op->GetVoidPointer(0));
  size = op->GetMaxId()+1;
  return vtkJavaMakeJArrayOfUnsignedCharFromUnsignedChar(env,temp20,size);
}
extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnsignedCharArray_SetJavaArray_10(JNIEnv *env, jobject obj,jbyteArray id0)
{
  vtkUnsignedCharArray *op;
  unsigned char *tempArray0;
  int length;
  tempArray0 = (unsigned char *)(env->GetByteArrayElements(id0,NULL));
  length = env->GetArrayLength(id0);
  op = (vtkUnsignedCharArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnsignedCharArray");
  op->SetNumberOfTuples(length/op->GetNumberOfComponents());
  memcpy(op->GetVoidPointer(0), tempArray0, length*sizeof(unsigned char));
  env->ReleaseByteArrayElements(id0,(jbyte *)tempArray0,0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkUnsignedCharArray_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkUnsignedCharArray *op;
  const char    *temp20;

  op = (vtkUnsignedCharArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnsignedCharArray");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnsignedCharArray_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUnsignedCharArray *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUnsignedCharArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnsignedCharArray");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnsignedCharArray_GetDataType_12(JNIEnv *env, jobject obj)
{
  vtkUnsignedCharArray *op;
  int      temp20;

  op = (vtkUnsignedCharArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnsignedCharArray");
  temp20 = (op)->GetDataType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnsignedCharArray_GetValue_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnsignedCharArray *op;
  vtkIdType   temp0;
   unsigned char     temp20;
  temp0 = id0;

  op = (vtkUnsignedCharArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnsignedCharArray");
  temp20 = (op)->GetValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnsignedCharArray_SetValue_14(JNIEnv *env, jobject obj,jint id0,jchar id1)
{
  vtkUnsignedCharArray *op;
  vtkIdType   temp0;
   unsigned char     temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkUnsignedCharArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnsignedCharArray");
  op->SetValue(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnsignedCharArray_SetNumberOfValues_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnsignedCharArray *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkUnsignedCharArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnsignedCharArray");
  op->SetNumberOfValues(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnsignedCharArray_InsertValue_16(JNIEnv *env, jobject obj,jint id0,jchar id1)
{
  vtkUnsignedCharArray *op;
  vtkIdType   temp0;
   unsigned char     temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkUnsignedCharArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnsignedCharArray");
  op->InsertValue(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnsignedCharArray_InsertNextValue_17(JNIEnv *env, jobject obj,jchar id0)
{
  vtkUnsignedCharArray *op;
   unsigned char     temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkUnsignedCharArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnsignedCharArray");
  temp20 = (op)->InsertNextValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkUnsignedCharArray_VTKInit(JNIEnv *env, jobject obj)
{
  vtkUnsignedCharArray *aNewOne = vtkUnsignedCharArray::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkUnsignedCharArray_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkUnsignedCharArray_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkUnsignedCharArray_Typecast);
}
