// java wrapper for vtkAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAlgorithm.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAlgorithm_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAlgorithm",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAlgorithm_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  const char    *temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAlgorithm *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_HasExecutive_12(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  int      temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  temp20 = (op)->HasExecutive();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAlgorithm_GetExecutive_13(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkExecutive  *temp20;
  jobject tempH;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  temp20 = (op)->GetExecutive();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkExecutive", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_SetExecutive_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAlgorithm *op;
  vtkExecutive  *temp0;
  temp0 = (vtkExecutive *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkExecutive"));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  op->SetExecutive(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_ModifyRequest_15(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkAlgorithm *op;
  vtkInformation  *temp0;
  int      temp1;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = id1;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  temp20 = (op)->ModifyRequest(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAlgorithm_GetInputPortInformation_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkAlgorithm *op;
  int      temp0;
  vtkInformation  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  temp20 = (op)->GetInputPortInformation(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformation", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAlgorithm_GetOutputPortInformation_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkAlgorithm *op;
  int      temp0;
  vtkInformation  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  temp20 = (op)->GetOutputPortInformation(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformation", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAlgorithm_GetInformation_18(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkInformation  *temp20;
  jobject tempH;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  temp20 = (op)->GetInformation();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformation", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_SetInformation_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAlgorithm *op;
  vtkInformation  *temp0;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  op->SetInformation(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_GetNumberOfInputPorts_110(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  int      temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  temp20 = (op)->GetNumberOfInputPorts();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_GetNumberOfOutputPorts_111(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  int      temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  temp20 = (op)->GetNumberOfOutputPorts();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_Register_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAlgorithm *op;
  vtkObjectBase  *temp0;
  temp0 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkObjectBase"));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  op->Register(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_UnRegister_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAlgorithm *op;
  vtkObjectBase  *temp0;
  temp0 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkObjectBase"));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  op->UnRegister(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_SetAbortExecute_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkAlgorithm *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  op->SetAbortExecute(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_GetAbortExecute_115(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  int      temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  temp20 = (op)->GetAbortExecute();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_AbortExecuteOn_116(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  op->AbortExecuteOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_AbortExecuteOff_117(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  op->AbortExecuteOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_SetProgress_118(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAlgorithm *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  op->SetProgress(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAlgorithm_GetProgressMinValue_119(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  double   temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  temp20 = (op)->GetProgressMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAlgorithm_GetProgressMaxValue_120(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  double   temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  temp20 = (op)->GetProgressMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAlgorithm_GetProgress_121(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  double   temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  temp20 = (op)->GetProgress();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_UpdateProgress_122(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAlgorithm *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  op->UpdateProgress(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_SetProgressText_123(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAlgorithm *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  op->SetProgressText(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAlgorithm_GetProgressText_124(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  char    *temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  temp20 = (op)->GetProgressText();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_GetErrorCode_125(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
   unsigned long     temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  temp20 = (op)->GetErrorCode();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAlgorithm_INPUT_IS_OPTIONAL_126(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkInformationIntegerKey  *temp20;
  jobject tempH;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  temp20 = (op)->INPUT_IS_OPTIONAL();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationIntegerKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAlgorithm_INPUT_IS_REPEATABLE_127(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkInformationIntegerKey  *temp20;
  jobject tempH;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  temp20 = (op)->INPUT_IS_REPEATABLE();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationIntegerKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAlgorithm_INPUT_REQUIRED_FIELDS_128(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkInformationInformationVectorKey  *temp20;
  jobject tempH;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  temp20 = (op)->INPUT_REQUIRED_FIELDS();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationInformationVectorKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAlgorithm_INPUT_REQUIRED_DATA_TYPE_129(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkInformationStringKey  *temp20;
  jobject tempH;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  temp20 = (op)->INPUT_REQUIRED_DATA_TYPE();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationStringKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAlgorithm_INPUT_ARRAYS_TO_PROCESS_130(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkInformationInformationVectorKey  *temp20;
  jobject tempH;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  temp20 = (op)->INPUT_ARRAYS_TO_PROCESS();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationInformationVectorKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAlgorithm_INPUT_PORT_131(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkInformationIntegerKey  *temp20;
  jobject tempH;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  temp20 = (op)->INPUT_PORT();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationIntegerKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAlgorithm_INPUT_CONNECTION_132(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkInformationIntegerKey  *temp20;
  jobject tempH;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  temp20 = (op)->INPUT_CONNECTION();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationIntegerKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_SetInputArrayToProcess_133(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jstring id4)
{
  vtkAlgorithm *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  char    *temp4;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = vtkJavaUTFToChar(env,id4);

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  op->SetInputArrayToProcess(temp0,temp1,temp2,temp3,temp4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_SetInputArrayToProcess_134(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4)
{
  vtkAlgorithm *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  op->SetInputArrayToProcess(temp0,temp1,temp2,temp3,temp4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_SetInputArrayToProcess_135(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkAlgorithm *op;
  int      temp0;
  vtkInformation  *temp1;
  temp0 = id0;
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkInformation"));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  op->SetInputArrayToProcess(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_SetInputArrayToProcess_136(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jstring id3,jstring id4)
{
  vtkAlgorithm *op;
  int      temp0;
  int      temp1;
  int      temp2;
  char    *temp3;
  char    *temp4;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = vtkJavaUTFToChar(env,id3);
  temp4 = vtkJavaUTFToChar(env,id4);

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  op->SetInputArrayToProcess(temp0,temp1,temp2,temp3,temp4);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAlgorithm_GetInputArrayInformation_137(JNIEnv *env, jobject obj,jint id0)
{
  vtkAlgorithm *op;
  int      temp0;
  vtkInformation  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  temp20 = (op)->GetInputArrayInformation(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformation", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_RemoveAllInputs_138(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  op->RemoveAllInputs();
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAlgorithm_GetOutputDataObject_139(JNIEnv *env, jobject obj,jint id0)
{
  vtkAlgorithm *op;
  int      temp0;
  vtkDataObject  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  temp20 = (op)->GetOutputDataObject(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataObject", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_SetInputConnection_140(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkAlgorithm *op;
  int      temp0;
  vtkAlgorithmOutput  *temp1;
  temp0 = id0;
  temp1 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkAlgorithmOutput"));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  op->SetInputConnection(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_SetInputConnection_141(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAlgorithm *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkAlgorithmOutput"));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  op->SetInputConnection(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_AddInputConnection_142(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkAlgorithm *op;
  int      temp0;
  vtkAlgorithmOutput  *temp1;
  temp0 = id0;
  temp1 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkAlgorithmOutput"));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  op->AddInputConnection(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_AddInputConnection_143(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAlgorithm *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkAlgorithmOutput"));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  op->AddInputConnection(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_RemoveInputConnection_144(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkAlgorithm *op;
  int      temp0;
  vtkAlgorithmOutput  *temp1;
  temp0 = id0;
  temp1 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkAlgorithmOutput"));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  op->RemoveInputConnection(temp0,temp1);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAlgorithm_GetOutputPort_145(JNIEnv *env, jobject obj,jint id0)
{
  vtkAlgorithm *op;
  int      temp0;
  vtkAlgorithmOutput  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  temp20 = (op)->GetOutputPort(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkAlgorithmOutput", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAlgorithm_GetOutputPort_146(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkAlgorithmOutput  *temp20;
  jobject tempH;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  temp20 = (op)->GetOutputPort();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkAlgorithmOutput", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_GetNumberOfInputConnections_147(JNIEnv *env, jobject obj,jint id0)
{
  vtkAlgorithm *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  temp20 = (op)->GetNumberOfInputConnections(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_GetTotalNumberOfInputConnections_148(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  int      temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  temp20 = (op)->GetTotalNumberOfInputConnections();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAlgorithm_GetInputConnection_149(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkAlgorithm *op;
  int      temp0;
  int      temp1;
  vtkAlgorithmOutput  *temp20;
  jobject tempH;
  temp0 = id0;
  temp1 = id1;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  temp20 = (op)->GetInputConnection(temp0,temp1);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkAlgorithmOutput", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_Update_150(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  op->Update();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_UpdateInformation_151(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  op->UpdateInformation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_UpdateWholeExtent_152(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  op->UpdateWholeExtent();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_SetReleaseDataFlag_153(JNIEnv *env, jobject obj,jint id0)
{
  vtkAlgorithm *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  op->SetReleaseDataFlag(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_GetReleaseDataFlag_154(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  int      temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  temp20 = (op)->GetReleaseDataFlag();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_ReleaseDataFlagOn_155(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  op->ReleaseDataFlagOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_ReleaseDataFlagOff_156(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  op->ReleaseDataFlagOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_UpdateExtentIsEmpty_157(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAlgorithm *op;
  vtkDataObject  *temp0;
  int      temp20;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  temp20 = (op)->UpdateExtentIsEmpty(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_UpdateExtentIsEmpty_158(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkAlgorithm *op;
  vtkInformation  *temp0;
  int      temp1;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = id1;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAlgorithm");
  temp20 = (op)->UpdateExtentIsEmpty(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkAlgorithm_VTKInit(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *aNewOne = vtkAlgorithm::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkAlgorithm_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkAlgorithm_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkAlgorithm_Typecast);
}
