// java wrapper for vtkCompositeDataSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCompositeDataSet.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDataObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCompositeDataSet_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCompositeDataSet",dType)) { return me; }
  if ((res= vtkDataObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCompositeDataSet_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCompositeDataSet *op;
  const char    *temp20;

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCompositeDataSet");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositeDataSet_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCompositeDataSet *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCompositeDataSet");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCompositeDataSet_NewIterator_12(JNIEnv *env, jobject obj)
{
  vtkCompositeDataSet *op;
  vtkCompositeDataIterator  *temp20;
  jobject tempH;

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCompositeDataSet");
  temp20 = (op)->NewIterator();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkCompositeDataIterator", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositeDataSet_GetDataObjectType_13(JNIEnv *env, jobject obj)
{
  vtkCompositeDataSet *op;
  int      temp20;

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCompositeDataSet");
  temp20 = (op)->GetDataObjectType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataSet_Initialize_14(JNIEnv *env, jobject obj)
{
  vtkCompositeDataSet *op;

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCompositeDataSet");
  op->Initialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataSet_AddDataSet_15(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkCompositeDataSet *op;
  vtkInformation  *temp0;
  vtkDataObject  *temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkDataObject"));

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCompositeDataSet");
  op->AddDataSet(temp0,temp1);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCompositeDataSet_GetDataSet_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCompositeDataSet *op;
  vtkInformation  *temp0;
  vtkDataObject  *temp20;
  jobject tempH;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCompositeDataSet");
  temp20 = (op)->GetDataSet(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataObject", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataSet_SetPipelineInformation_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCompositeDataSet *op;
  vtkInformation  *temp0;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCompositeDataSet");
  op->SetPipelineInformation(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCompositeDataSet_GetProducerPort_18(JNIEnv *env, jobject obj)
{
  vtkCompositeDataSet *op;
  vtkAlgorithmOutput  *temp20;
  jobject tempH;

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCompositeDataSet");
  temp20 = (op)->GetProducerPort();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkAlgorithmOutput", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCompositeDataSet_INDEX_19(JNIEnv *env, jobject obj)
{
  vtkCompositeDataSet *op;
  vtkInformationIntegerKey  *temp20;
  jobject tempH;

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCompositeDataSet");
  temp20 = (op)->INDEX();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationIntegerKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCompositeDataSet_COMPOSITE_DATA_SET_110(JNIEnv *env, jobject obj)
{
  vtkCompositeDataSet *op;
  vtkInformationDataObjectKey  *temp20;
  jobject tempH;

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCompositeDataSet");
  temp20 = (op)->COMPOSITE_DATA_SET();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationDataObjectKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkCompositeDataSet_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkCompositeDataSet_Typecast);
}
