// java wrapper for vtkHierarchicalDataSetAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHierarchicalDataSetAlgorithm.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkHierarchicalDataSetAlgorithm_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkHierarchicalDataSetAlgorithm",dType)) { return me; }
  if ((res= vtkAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHierarchicalDataSetAlgorithm_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkHierarchicalDataSetAlgorithm *op;
  const char    *temp20;

  op = (vtkHierarchicalDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataSetAlgorithm");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalDataSetAlgorithm_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHierarchicalDataSetAlgorithm *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHierarchicalDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataSetAlgorithm");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkHierarchicalDataSetAlgorithm_GetOutput_12(JNIEnv *env, jobject obj)
{
  vtkHierarchicalDataSetAlgorithm *op;
  vtkHierarchicalDataSet  *temp20;
  jobject tempH;

  op = (vtkHierarchicalDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataSetAlgorithm");
  temp20 = (op)->GetOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkHierarchicalDataSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkHierarchicalDataSetAlgorithm_GetOutput_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkHierarchicalDataSetAlgorithm *op;
  int      temp0;
  vtkHierarchicalDataSet  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkHierarchicalDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataSetAlgorithm");
  temp20 = (op)->GetOutput(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkHierarchicalDataSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalDataSetAlgorithm_SetInput_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHierarchicalDataSetAlgorithm *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkHierarchicalDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataSetAlgorithm");
  op->SetInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalDataSetAlgorithm_SetInput_15(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkHierarchicalDataSetAlgorithm *op;
  int      temp0;
  vtkDataObject  *temp1;
  temp0 = id0;
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkDataObject"));

  op = (vtkHierarchicalDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataSetAlgorithm");
  op->SetInput(temp0,temp1);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkHierarchicalDataSetAlgorithm_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkHierarchicalDataSetAlgorithm_Typecast);
}
