// java wrapper for vtkPointSetAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPointSetAlgorithm.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPointSetAlgorithm_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPointSetAlgorithm",dType)) { return me; }
  if ((res= vtkAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPointSetAlgorithm_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPointSetAlgorithm *op;
  const char    *temp20;

  op = (vtkPointSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPointSetAlgorithm");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointSetAlgorithm_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPointSetAlgorithm *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPointSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPointSetAlgorithm");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkPointSetAlgorithm_GetOutput_12(JNIEnv *env, jobject obj)
{
  vtkPointSetAlgorithm *op;
  vtkPointSet  *temp20;
  jobject tempH;

  op = (vtkPointSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPointSetAlgorithm");
  temp20 = (op)->GetOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPointSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkPointSetAlgorithm_GetOutput_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkPointSetAlgorithm *op;
  int      temp0;
  vtkPointSet  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkPointSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPointSetAlgorithm");
  temp20 = (op)->GetOutput(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPointSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkPointSetAlgorithm_GetPolyDataOutput_14(JNIEnv *env, jobject obj)
{
  vtkPointSetAlgorithm *op;
  vtkPolyData  *temp20;
  jobject tempH;

  op = (vtkPointSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPointSetAlgorithm");
  temp20 = (op)->GetPolyDataOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPolyData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkPointSetAlgorithm_GetStructuredGridOutput_15(JNIEnv *env, jobject obj)
{
  vtkPointSetAlgorithm *op;
  vtkStructuredGrid  *temp20;
  jobject tempH;

  op = (vtkPointSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPointSetAlgorithm");
  temp20 = (op)->GetStructuredGridOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkStructuredGrid", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkPointSetAlgorithm_GetUnstructuredGridOutput_16(JNIEnv *env, jobject obj)
{
  vtkPointSetAlgorithm *op;
  vtkUnstructuredGrid  *temp20;
  jobject tempH;

  op = (vtkPointSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPointSetAlgorithm");
  temp20 = (op)->GetUnstructuredGridOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkUnstructuredGrid", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointSetAlgorithm_SetInput_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPointSetAlgorithm *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkPointSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPointSetAlgorithm");
  op->SetInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointSetAlgorithm_SetInput_18(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkPointSetAlgorithm *op;
  int      temp0;
  vtkDataObject  *temp1;
  temp0 = id0;
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkDataObject"));

  op = (vtkPointSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPointSetAlgorithm");
  op->SetInput(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointSetAlgorithm_SetInput_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPointSetAlgorithm *op;
  vtkPointSet  *temp0;
  temp0 = (vtkPointSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPointSet"));

  op = (vtkPointSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPointSetAlgorithm");
  op->SetInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointSetAlgorithm_SetInput_110(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkPointSetAlgorithm *op;
  int      temp0;
  vtkPointSet  *temp1;
  temp0 = id0;
  temp1 = (vtkPointSet *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkPointSet"));

  op = (vtkPointSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPointSetAlgorithm");
  op->SetInput(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointSetAlgorithm_AddInput_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPointSetAlgorithm *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkPointSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPointSetAlgorithm");
  op->AddInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointSetAlgorithm_AddInput_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPointSetAlgorithm *op;
  vtkPointSet  *temp0;
  temp0 = (vtkPointSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPointSet"));

  op = (vtkPointSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPointSetAlgorithm");
  op->AddInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointSetAlgorithm_AddInput_113(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkPointSetAlgorithm *op;
  int      temp0;
  vtkPointSet  *temp1;
  temp0 = id0;
  temp1 = (vtkPointSet *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkPointSet"));

  op = (vtkPointSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPointSetAlgorithm");
  op->AddInput(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointSetAlgorithm_AddInput_114(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkPointSetAlgorithm *op;
  int      temp0;
  vtkDataObject  *temp1;
  temp0 = id0;
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkDataObject"));

  op = (vtkPointSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPointSetAlgorithm");
  op->AddInput(temp0,temp1);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkPointSetAlgorithm_GetInput_115(JNIEnv *env, jobject obj)
{
  vtkPointSetAlgorithm *op;
  vtkDataObject  *temp20;
  jobject tempH;

  op = (vtkPointSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPointSetAlgorithm");
  temp20 = (op)->GetInput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataObject", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPointSetAlgorithm_VTKInit(JNIEnv *env, jobject obj)
{
  vtkPointSetAlgorithm *aNewOne = vtkPointSetAlgorithm::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPointSetAlgorithm_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPointSetAlgorithm_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPointSetAlgorithm_Typecast);
}
