// java wrapper for vtkPointSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPointSet.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDataSet_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPointSet_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPointSet",dType)) { return me; }
  if ((res= vtkDataSet_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPointSet_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPointSet *op;
  const char    *temp20;

  op = (vtkPointSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPointSet");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointSet_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPointSet *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPointSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPointSet");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointSet_Initialize_12(JNIEnv *env, jobject obj)
{
  vtkPointSet *op;

  op = (vtkPointSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPointSet");
  op->Initialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointSet_CopyStructure_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPointSet *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkPointSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPointSet");
  op->CopyStructure(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointSet_GetNumberOfPoints_14(JNIEnv *env, jobject obj)
{
  vtkPointSet *op;
  vtkIdType   temp20;

  op = (vtkPointSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPointSet");
  temp20 = (op)->GetNumberOfPoints();
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkPointSet_GetPoint_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkPointSet *op;
  vtkIdType   temp0;
  double  *temp20;
  temp0 = id0;

  op = (vtkPointSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPointSet");
  temp20 = (op)->GetPoint(temp0);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointSet_GetPoint_16(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkPointSet *op;
  vtkIdType   temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkPointSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPointSet");
  op->GetPoint(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointSet_FindPoint_17(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPointSet *op;
  double temp0[3];
  void *tempArray0;
  vtkIdType   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkPointSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPointSet");
  temp20 = (op)->FindPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointSet_FindPoint_18(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkPointSet *op;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkIdType   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkPointSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPointSet");
  temp20 = (op)->FindPoint(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointSet_GetMTime_19(JNIEnv *env, jobject obj)
{
  vtkPointSet *op;
   unsigned long     temp20;

  op = (vtkPointSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPointSet");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointSet_ComputeBounds_110(JNIEnv *env, jobject obj)
{
  vtkPointSet *op;

  op = (vtkPointSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPointSet");
  op->ComputeBounds();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointSet_Squeeze_111(JNIEnv *env, jobject obj)
{
  vtkPointSet *op;

  op = (vtkPointSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPointSet");
  op->Squeeze();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointSet_SetPoints_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPointSet *op;
  vtkPoints  *temp0;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPoints"));

  op = (vtkPointSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPointSet");
  op->SetPoints(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkPointSet_GetPoints_113(JNIEnv *env, jobject obj)
{
  vtkPointSet *op;
  vtkPoints  *temp20;
  jobject tempH;

  op = (vtkPointSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPointSet");
  temp20 = (op)->GetPoints();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPoints", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointSet_GetActualMemorySize_114(JNIEnv *env, jobject obj)
{
  vtkPointSet *op;
   unsigned long     temp20;

  op = (vtkPointSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPointSet");
  temp20 = (op)->GetActualMemorySize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointSet_ShallowCopy_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPointSet *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkPointSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPointSet");
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointSet_DeepCopy_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPointSet *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkPointSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPointSet");
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPointSet_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPointSet_Typecast);
}
