// java wrapper for vtkPolygon object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPolygon.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkCell_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPolygon_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPolygon",dType)) { return me; }
  if ((res= vtkCell_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPolygon_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPolygon *op;
  const char    *temp20;

  op = (vtkPolygon *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolygon");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolygon_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPolygon *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPolygon *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolygon");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolygon_GetCellType_12(JNIEnv *env, jobject obj)
{
  vtkPolygon *op;
  int      temp20;

  op = (vtkPolygon *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolygon");
  temp20 = (op)->GetCellType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolygon_GetCellDimension_13(JNIEnv *env, jobject obj)
{
  vtkPolygon *op;
  int      temp20;

  op = (vtkPolygon *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolygon");
  temp20 = (op)->GetCellDimension();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolygon_GetNumberOfEdges_14(JNIEnv *env, jobject obj)
{
  vtkPolygon *op;
  int      temp20;

  op = (vtkPolygon *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolygon");
  temp20 = (op)->GetNumberOfEdges();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolygon_GetNumberOfFaces_15(JNIEnv *env, jobject obj)
{
  vtkPolygon *op;
  int      temp20;

  op = (vtkPolygon *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolygon");
  temp20 = (op)->GetNumberOfFaces();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkPolygon_GetEdge_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolygon *op;
  int      temp0;
  vtkCell  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkPolygon *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolygon");
  temp20 = (op)->GetEdge(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkCell", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkPolygon_GetFace_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolygon *op;
  int      temp0;
  vtkCell  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkPolygon *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolygon");
  temp20 = (op)->GetFace(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkCell", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolygon_CellBoundary_18(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1,jobject id2)
{
  vtkPolygon *op;
  int      temp0;
  double temp1[3];
  void *tempArray1;
  vtkIdList  *temp2;
  int      temp20;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp2 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkIdList"));

  op = (vtkPolygon *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolygon");
  temp20 = (op)->CellBoundary(temp0,temp1,temp2);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolygon_Contour_19(JNIEnv *env, jobject obj,jdouble id0,jobject id1,jobject id2,jobject id3,jobject id4,jobject id5,jobject id6,jobject id7,jobject id8,jint id9,jobject id10)
{
  vtkPolygon *op;
  double   temp0;
  vtkDataArray  *temp1;
  vtkPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkCellArray  *temp4;
  vtkCellArray  *temp5;
  vtkPointData  *temp6;
  vtkPointData  *temp7;
  vtkCellData  *temp8;
  vtkIdType   temp9;
  vtkCellData  *temp10;
  temp0 = id0;
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkDataArray"));
  temp2 = (vtkPointLocator *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkPointLocator"));
  temp3 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id3,(char *) "vtkCellArray"));
  temp4 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id4,(char *) "vtkCellArray"));
  temp5 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id5,(char *) "vtkCellArray"));
  temp6 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id6,(char *) "vtkPointData"));
  temp7 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id7,(char *) "vtkPointData"));
  temp8 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id8,(char *) "vtkCellData"));
  temp9 = id9;
  temp10 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id10,(char *) "vtkCellData"));

  op = (vtkPolygon *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolygon");
  op->Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolygon_Clip_110(JNIEnv *env, jobject obj,jdouble id0,jobject id1,jobject id2,jobject id3,jobject id4,jobject id5,jobject id6,jint id7,jobject id8,jint id9)
{
  vtkPolygon *op;
  double   temp0;
  vtkDataArray  *temp1;
  vtkPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkPointData  *temp4;
  vtkPointData  *temp5;
  vtkCellData  *temp6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  int      temp9;
  temp0 = id0;
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkDataArray"));
  temp2 = (vtkPointLocator *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkPointLocator"));
  temp3 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id3,(char *) "vtkCellArray"));
  temp4 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id4,(char *) "vtkPointData"));
  temp5 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id5,(char *) "vtkPointData"));
  temp6 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id6,(char *) "vtkCellData"));
  temp7 = id7;
  temp8 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id8,(char *) "vtkCellData"));
  temp9 = id9;

  op = (vtkPolygon *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolygon");
  op->Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolygon_Triangulate_111(JNIEnv *env, jobject obj,jint id0,jobject id1,jobject id2)
{
  vtkPolygon *op;
  int      temp0;
  vtkIdList  *temp1;
  vtkPoints  *temp2;
  int      temp20;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkIdList"));
  temp2 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkPoints"));

  op = (vtkPolygon *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolygon");
  temp20 = (op)->Triangulate(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolygon_IsPrimaryCell_112(JNIEnv *env, jobject obj)
{
  vtkPolygon *op;
  int      temp20;

  op = (vtkPolygon *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolygon");
  temp20 = (op)->IsPrimaryCell();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolygon_ComputeNormal_113(JNIEnv *env, jobject obj,jobject id0,jdoubleArray id1)
{
  vtkPolygon *op;
  vtkPoints  *temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPoints"));
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkPolygon *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolygon");
  op->ComputeNormal(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolygon_Triangulate_114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolygon *op;
  vtkIdList  *temp0;
  int      temp20;
  temp0 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkIdList"));

  op = (vtkPolygon *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolygon");
  temp20 = (op)->Triangulate(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPolygon_VTKInit(JNIEnv *env, jobject obj)
{
  vtkPolygon *aNewOne = vtkPolygon::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPolygon_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPolygon_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPolygon_Typecast);
}
