// java wrapper for vtkGenericStreamTracer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericStreamTracer.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGenericStreamTracer_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGenericStreamTracer",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericStreamTracer_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  const char    *temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericStreamTracer_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericStreamTracer *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetStartPosition_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkGenericStreamTracer *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetStartPosition(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetStartPosition_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkGenericStreamTracer *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetStartPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkGenericStreamTracer_GetStartPosition_14(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  double  *temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  temp20 = (op)->GetStartPosition();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetSource_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGenericStreamTracer *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetSource(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkGenericStreamTracer_GetSource_16(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  vtkDataSet  *temp20;
  jobject tempH;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  temp20 = (op)->GetSource();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetIntegrator_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGenericStreamTracer *op;
  vtkInitialValueProblemSolver  *temp0;
  temp0 = (vtkInitialValueProblemSolver *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInitialValueProblemSolver"));

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetIntegrator(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkGenericStreamTracer_GetIntegrator_18(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  vtkInitialValueProblemSolver  *temp20;
  jobject tempH;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  temp20 = (op)->GetIntegrator();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInitialValueProblemSolver", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetIntegratorType_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericStreamTracer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetIntegratorType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericStreamTracer_GetIntegratorType_110(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  int      temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  temp20 = (op)->GetIntegratorType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetIntegratorTypeToRungeKutta2_111(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetIntegratorTypeToRungeKutta2();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetIntegratorTypeToRungeKutta4_112(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetIntegratorTypeToRungeKutta4();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetIntegratorTypeToRungeKutta45_113(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetIntegratorTypeToRungeKutta45();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetMaximumPropagation_114(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkGenericStreamTracer *op;
  int      temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetMaximumPropagation(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetMaximumPropagation_115(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGenericStreamTracer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetMaximumPropagation(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetMaximumPropagationUnit_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericStreamTracer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetMaximumPropagationUnit(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericStreamTracer_GetMaximumPropagationUnit_117(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  int      temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  temp20 = (op)->GetMaximumPropagationUnit();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGenericStreamTracer_GetMaximumPropagation_118(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  double   temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  temp20 = (op)->GetMaximumPropagation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetMaximumPropagationUnitToTimeUnit_119(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetMaximumPropagationUnitToTimeUnit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetMaximumPropagationUnitToLengthUnit_120(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetMaximumPropagationUnitToLengthUnit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetMaximumPropagationUnitToCellLengthUnit_121(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetMaximumPropagationUnitToCellLengthUnit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetMinimumIntegrationStep_122(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkGenericStreamTracer *op;
  int      temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetMinimumIntegrationStep(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetMinimumIntegrationStepUnit_123(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericStreamTracer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetMinimumIntegrationStepUnit(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetMinimumIntegrationStep_124(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGenericStreamTracer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetMinimumIntegrationStep(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericStreamTracer_GetMinimumIntegrationStepUnit_125(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  int      temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  temp20 = (op)->GetMinimumIntegrationStepUnit();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGenericStreamTracer_GetMinimumIntegrationStep_126(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  double   temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  temp20 = (op)->GetMinimumIntegrationStep();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetMinimumIntegrationStepUnitToTimeUnit_127(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetMinimumIntegrationStepUnitToTimeUnit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetMinimumIntegrationStepUnitToLengthUnit_128(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetMinimumIntegrationStepUnitToLengthUnit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetMinimumIntegrationStepUnitToCellLengthUnit_129(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetMinimumIntegrationStepUnitToCellLengthUnit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetMaximumIntegrationStep_130(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkGenericStreamTracer *op;
  int      temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetMaximumIntegrationStep(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetMaximumIntegrationStepUnit_131(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericStreamTracer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetMaximumIntegrationStepUnit(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetMaximumIntegrationStep_132(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGenericStreamTracer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetMaximumIntegrationStep(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericStreamTracer_GetMaximumIntegrationStepUnit_133(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  int      temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  temp20 = (op)->GetMaximumIntegrationStepUnit();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGenericStreamTracer_GetMaximumIntegrationStep_134(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  double   temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  temp20 = (op)->GetMaximumIntegrationStep();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetMaximumIntegrationStepUnitToTimeUnit_135(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetMaximumIntegrationStepUnitToTimeUnit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetMaximumIntegrationStepUnitToLengthUnit_136(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetMaximumIntegrationStepUnitToLengthUnit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetMaximumIntegrationStepUnitToCellLengthUnit_137(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetMaximumIntegrationStepUnitToCellLengthUnit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetInitialIntegrationStep_138(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkGenericStreamTracer *op;
  int      temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetInitialIntegrationStep(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetInitialIntegrationStepUnit_139(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericStreamTracer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetInitialIntegrationStepUnit(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetInitialIntegrationStep_140(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGenericStreamTracer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetInitialIntegrationStep(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericStreamTracer_GetInitialIntegrationStepUnit_141(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  int      temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  temp20 = (op)->GetInitialIntegrationStepUnit();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGenericStreamTracer_GetInitialIntegrationStep_142(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  double   temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  temp20 = (op)->GetInitialIntegrationStep();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetInitialIntegrationStepUnitToTimeUnit_143(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetInitialIntegrationStepUnitToTimeUnit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetInitialIntegrationStepUnitToLengthUnit_144(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetInitialIntegrationStepUnitToLengthUnit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetInitialIntegrationStepUnitToCellLengthUnit_145(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetInitialIntegrationStepUnitToCellLengthUnit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetMaximumError_146(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGenericStreamTracer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetMaximumError(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGenericStreamTracer_GetMaximumError_147(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  double   temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  temp20 = (op)->GetMaximumError();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetMaximumNumberOfSteps_148(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericStreamTracer *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetMaximumNumberOfSteps(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericStreamTracer_GetMaximumNumberOfSteps_149(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  vtkIdType   temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  temp20 = (op)->GetMaximumNumberOfSteps();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetTerminalSpeed_150(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGenericStreamTracer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetTerminalSpeed(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGenericStreamTracer_GetTerminalSpeed_151(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  double   temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  temp20 = (op)->GetTerminalSpeed();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetIntegrationDirection_152(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericStreamTracer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetIntegrationDirection(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericStreamTracer_GetIntegrationDirectionMinValue_153(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  int      temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  temp20 = (op)->GetIntegrationDirectionMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericStreamTracer_GetIntegrationDirectionMaxValue_154(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  int      temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  temp20 = (op)->GetIntegrationDirectionMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericStreamTracer_GetIntegrationDirection_155(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  int      temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  temp20 = (op)->GetIntegrationDirection();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetIntegrationDirectionToForward_156(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetIntegrationDirectionToForward();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetIntegrationDirectionToBackward_157(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetIntegrationDirectionToBackward();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetIntegrationDirectionToBoth_158(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetIntegrationDirectionToBoth();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetComputeVorticity_159(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericStreamTracer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetComputeVorticity(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericStreamTracer_GetComputeVorticity_160(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  int      temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  temp20 = (op)->GetComputeVorticity();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_ComputeVorticityOn_161(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->ComputeVorticityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_ComputeVorticityOff_162(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->ComputeVorticityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetRotationScale_163(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGenericStreamTracer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetRotationScale(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGenericStreamTracer_GetRotationScale_164(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  double   temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  temp20 = (op)->GetRotationScale();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericStreamTracer_GetInputVectorsSelection_165(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  char    *temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  temp20 = (op)->GetInputVectorsSelection();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SelectInputVectors_166(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericStreamTracer *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SelectInputVectors(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_AddInput_167(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGenericStreamTracer *op;
  vtkGenericDataSet  *temp0;
  temp0 = (vtkGenericDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkGenericDataSet"));

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->AddInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetInterpolatorPrototype_168(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGenericStreamTracer *op;
  vtkGenericInterpolatedVelocityField  *temp0;
  temp0 = (vtkGenericInterpolatedVelocityField *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkGenericInterpolatedVelocityField"));

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkGenericStreamTracer");
  op->SetInterpolatorPrototype(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkGenericStreamTracer_VTKInit(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *aNewOne = vtkGenericStreamTracer::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkGenericStreamTracer_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkGenericStreamTracer_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkGenericStreamTracer_Typecast);
}
