// java wrapper for vtkCurvatures object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCurvatures.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCurvatures_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCurvatures",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCurvatures_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCurvatures *op;
  const char    *temp20;

  op = (vtkCurvatures *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCurvatures");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCurvatures_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCurvatures *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCurvatures *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCurvatures");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCurvatures_SetCurvatureType_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkCurvatures *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCurvatures *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCurvatures");
  op->SetCurvatureType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCurvatures_GetCurvatureType_13(JNIEnv *env, jobject obj)
{
  vtkCurvatures *op;
  int      temp20;

  op = (vtkCurvatures *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCurvatures");
  temp20 = (op)->GetCurvatureType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCurvatures_SetCurvatureTypeToGaussian_14(JNIEnv *env, jobject obj)
{
  vtkCurvatures *op;

  op = (vtkCurvatures *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCurvatures");
  op->SetCurvatureTypeToGaussian();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCurvatures_SetCurvatureTypeToMean_15(JNIEnv *env, jobject obj)
{
  vtkCurvatures *op;

  op = (vtkCurvatures *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCurvatures");
  op->SetCurvatureTypeToMean();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCurvatures_SetCurvatureTypeToMaximum_16(JNIEnv *env, jobject obj)
{
  vtkCurvatures *op;

  op = (vtkCurvatures *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCurvatures");
  op->SetCurvatureTypeToMaximum();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCurvatures_SetCurvatureTypeToMinimum_17(JNIEnv *env, jobject obj)
{
  vtkCurvatures *op;

  op = (vtkCurvatures *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCurvatures");
  op->SetCurvatureTypeToMinimum();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCurvatures_SetInvertMeanCurvature_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkCurvatures *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCurvatures *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCurvatures");
  op->SetInvertMeanCurvature(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCurvatures_GetInvertMeanCurvature_19(JNIEnv *env, jobject obj)
{
  vtkCurvatures *op;
  int      temp20;

  op = (vtkCurvatures *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCurvatures");
  temp20 = (op)->GetInvertMeanCurvature();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCurvatures_InvertMeanCurvatureOn_110(JNIEnv *env, jobject obj)
{
  vtkCurvatures *op;

  op = (vtkCurvatures *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCurvatures");
  op->InvertMeanCurvatureOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCurvatures_InvertMeanCurvatureOff_111(JNIEnv *env, jobject obj)
{
  vtkCurvatures *op;

  op = (vtkCurvatures *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCurvatures");
  op->InvertMeanCurvatureOff();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkCurvatures_VTKInit(JNIEnv *env, jobject obj)
{
  vtkCurvatures *aNewOne = vtkCurvatures::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkCurvatures_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkCurvatures_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkCurvatures_Typecast);
}
