// java wrapper for vtkExtractVectorComponents object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExtractVectorComponents.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkExtractVectorComponents_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkExtractVectorComponents",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExtractVectorComponents_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkExtractVectorComponents *op;
  const char    *temp20;

  op = (vtkExtractVectorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractVectorComponents");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractVectorComponents_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExtractVectorComponents *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExtractVectorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractVectorComponents");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractVectorComponents_SetInput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkExtractVectorComponents *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkExtractVectorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractVectorComponents");
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkExtractVectorComponents_GetVxComponent_13(JNIEnv *env, jobject obj)
{
  vtkExtractVectorComponents *op;
  vtkDataSet  *temp20;
  jobject tempH;

  op = (vtkExtractVectorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractVectorComponents");
  temp20 = (op)->GetVxComponent();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkExtractVectorComponents_GetVyComponent_14(JNIEnv *env, jobject obj)
{
  vtkExtractVectorComponents *op;
  vtkDataSet  *temp20;
  jobject tempH;

  op = (vtkExtractVectorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractVectorComponents");
  temp20 = (op)->GetVyComponent();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkExtractVectorComponents_GetVzComponent_15(JNIEnv *env, jobject obj)
{
  vtkExtractVectorComponents *op;
  vtkDataSet  *temp20;
  jobject tempH;

  op = (vtkExtractVectorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractVectorComponents");
  temp20 = (op)->GetVzComponent();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractVectorComponents_SetExtractToFieldData_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkExtractVectorComponents *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExtractVectorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractVectorComponents");
  op->SetExtractToFieldData(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractVectorComponents_GetExtractToFieldData_17(JNIEnv *env, jobject obj)
{
  vtkExtractVectorComponents *op;
  int      temp20;

  op = (vtkExtractVectorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractVectorComponents");
  temp20 = (op)->GetExtractToFieldData();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractVectorComponents_ExtractToFieldDataOn_18(JNIEnv *env, jobject obj)
{
  vtkExtractVectorComponents *op;

  op = (vtkExtractVectorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractVectorComponents");
  op->ExtractToFieldDataOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractVectorComponents_ExtractToFieldDataOff_19(JNIEnv *env, jobject obj)
{
  vtkExtractVectorComponents *op;

  op = (vtkExtractVectorComponents *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkExtractVectorComponents");
  op->ExtractToFieldDataOff();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkExtractVectorComponents_VTKInit(JNIEnv *env, jobject obj)
{
  vtkExtractVectorComponents *aNewOne = vtkExtractVectorComponents::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkExtractVectorComponents_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkExtractVectorComponents_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkExtractVectorComponents_Typecast);
}
