// java wrapper for vtkMergeDataObjectFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMergeDataObjectFilter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMergeDataObjectFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMergeDataObjectFilter",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMergeDataObjectFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMergeDataObjectFilter *op;
  const char    *temp20;

  op = (vtkMergeDataObjectFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMergeDataObjectFilter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMergeDataObjectFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMergeDataObjectFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMergeDataObjectFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMergeDataObjectFilter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMergeDataObjectFilter_SetDataObject_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMergeDataObjectFilter *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkMergeDataObjectFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMergeDataObjectFilter");
  op->SetDataObject(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkMergeDataObjectFilter_GetDataObject_13(JNIEnv *env, jobject obj)
{
  vtkMergeDataObjectFilter *op;
  vtkDataObject  *temp20;
  jobject tempH;

  op = (vtkMergeDataObjectFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMergeDataObjectFilter");
  temp20 = (op)->GetDataObject();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataObject", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMergeDataObjectFilter_SetOutputField_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkMergeDataObjectFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMergeDataObjectFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMergeDataObjectFilter");
  op->SetOutputField(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMergeDataObjectFilter_GetOutputField_15(JNIEnv *env, jobject obj)
{
  vtkMergeDataObjectFilter *op;
  int      temp20;

  op = (vtkMergeDataObjectFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMergeDataObjectFilter");
  temp20 = (op)->GetOutputField();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMergeDataObjectFilter_SetOutputFieldToDataObjectField_16(JNIEnv *env, jobject obj)
{
  vtkMergeDataObjectFilter *op;

  op = (vtkMergeDataObjectFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMergeDataObjectFilter");
  op->SetOutputFieldToDataObjectField();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMergeDataObjectFilter_SetOutputFieldToPointDataField_17(JNIEnv *env, jobject obj)
{
  vtkMergeDataObjectFilter *op;

  op = (vtkMergeDataObjectFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMergeDataObjectFilter");
  op->SetOutputFieldToPointDataField();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMergeDataObjectFilter_SetOutputFieldToCellDataField_18(JNIEnv *env, jobject obj)
{
  vtkMergeDataObjectFilter *op;

  op = (vtkMergeDataObjectFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMergeDataObjectFilter");
  op->SetOutputFieldToCellDataField();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkMergeDataObjectFilter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkMergeDataObjectFilter *aNewOne = vtkMergeDataObjectFilter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkMergeDataObjectFilter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkMergeDataObjectFilter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkMergeDataObjectFilter_Typecast);
}
