// java wrapper for vtkProbeFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkProbeFilter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkProbeFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkProbeFilter",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkProbeFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkProbeFilter *op;
  const char    *temp20;

  op = (vtkProbeFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProbeFilter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProbeFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkProbeFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkProbeFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProbeFilter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProbeFilter_SetSource_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkProbeFilter *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkProbeFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProbeFilter");
  op->SetSource(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkProbeFilter_GetSource_13(JNIEnv *env, jobject obj)
{
  vtkProbeFilter *op;
  vtkDataObject  *temp20;
  jobject tempH;

  op = (vtkProbeFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProbeFilter");
  temp20 = (op)->GetSource();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataObject", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProbeFilter_SetSourceConnection_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkProbeFilter *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkAlgorithmOutput"));

  op = (vtkProbeFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProbeFilter");
  op->SetSourceConnection(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProbeFilter_SetSpatialMatch_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkProbeFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkProbeFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProbeFilter");
  op->SetSpatialMatch(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProbeFilter_GetSpatialMatch_16(JNIEnv *env, jobject obj)
{
  vtkProbeFilter *op;
  int      temp20;

  op = (vtkProbeFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProbeFilter");
  temp20 = (op)->GetSpatialMatch();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProbeFilter_SpatialMatchOn_17(JNIEnv *env, jobject obj)
{
  vtkProbeFilter *op;

  op = (vtkProbeFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProbeFilter");
  op->SpatialMatchOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProbeFilter_SpatialMatchOff_18(JNIEnv *env, jobject obj)
{
  vtkProbeFilter *op;

  op = (vtkProbeFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProbeFilter");
  op->SpatialMatchOff();
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkProbeFilter_GetValidPoints_19(JNIEnv *env, jobject obj)
{
  vtkProbeFilter *op;
  vtkIdTypeArray  *temp20;
  jobject tempH;

  op = (vtkProbeFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProbeFilter");
  temp20 = (op)->GetValidPoints();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkIdTypeArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkProbeFilter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkProbeFilter *aNewOne = vtkProbeFilter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkProbeFilter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkProbeFilter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkProbeFilter_Typecast);
}
