// java wrapper for vtkProgrammableSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkProgrammableSource.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkProgrammableSource_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkProgrammableSource",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkProgrammableSource_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkProgrammableSource *op;
  const char    *temp20;

  op = (vtkProgrammableSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProgrammableSource");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProgrammableSource_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkProgrammableSource *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkProgrammableSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProgrammableSource");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProgrammableSource_SetExecuteMethod_12(JNIEnv *env, jobject obj,jobject id0, jstring id1)
{
  vtkProgrammableSource *op;
  vtkJavaVoidFuncArg *temp0 = new vtkJavaVoidFuncArg;
  env->GetJavaVM(&(temp0->vm));
  temp0->uobj = env->NewGlobalRef(id0);
  temp0->mid = env->GetMethodID(env->GetObjectClass(id0),vtkJavaUTFToChar(env,id1),"()V");

  op = (vtkProgrammableSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProgrammableSource");
  op->SetExecuteMethod(vtkJavaVoidFunc,(void *)temp0);
  op->SetExecuteMethodArgDelete(vtkJavaVoidFuncArgDelete);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkProgrammableSource_GetPolyDataOutput_13(JNIEnv *env, jobject obj)
{
  vtkProgrammableSource *op;
  vtkPolyData  *temp20;
  jobject tempH;

  op = (vtkProgrammableSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProgrammableSource");
  temp20 = (op)->GetPolyDataOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPolyData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkProgrammableSource_GetStructuredPointsOutput_14(JNIEnv *env, jobject obj)
{
  vtkProgrammableSource *op;
  vtkStructuredPoints  *temp20;
  jobject tempH;

  op = (vtkProgrammableSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProgrammableSource");
  temp20 = (op)->GetStructuredPointsOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkStructuredPoints", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkProgrammableSource_GetStructuredGridOutput_15(JNIEnv *env, jobject obj)
{
  vtkProgrammableSource *op;
  vtkStructuredGrid  *temp20;
  jobject tempH;

  op = (vtkProgrammableSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProgrammableSource");
  temp20 = (op)->GetStructuredGridOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkStructuredGrid", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkProgrammableSource_GetUnstructuredGridOutput_16(JNIEnv *env, jobject obj)
{
  vtkProgrammableSource *op;
  vtkUnstructuredGrid  *temp20;
  jobject tempH;

  op = (vtkProgrammableSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProgrammableSource");
  temp20 = (op)->GetUnstructuredGridOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkUnstructuredGrid", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkProgrammableSource_GetRectilinearGridOutput_17(JNIEnv *env, jobject obj)
{
  vtkProgrammableSource *op;
  vtkRectilinearGrid  *temp20;
  jobject tempH;

  op = (vtkProgrammableSource *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProgrammableSource");
  temp20 = (op)->GetRectilinearGridOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkRectilinearGrid", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkProgrammableSource_VTKInit(JNIEnv *env, jobject obj)
{
  vtkProgrammableSource *aNewOne = vtkProgrammableSource::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkProgrammableSource_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkProgrammableSource_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkProgrammableSource_Typecast);
}
