// java wrapper for vtkPCAAnalysisFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPCAAnalysisFilter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPointSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPCAAnalysisFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPCAAnalysisFilter",dType)) { return me; }
  if ((res= vtkPointSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPCAAnalysisFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPCAAnalysisFilter *op;
  const char    *temp20;

  op = (vtkPCAAnalysisFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPCAAnalysisFilter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPCAAnalysisFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPCAAnalysisFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPCAAnalysisFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPCAAnalysisFilter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkPCAAnalysisFilter_GetEvals_12(JNIEnv *env, jobject obj)
{
  vtkPCAAnalysisFilter *op;
  vtkFloatArray  *temp20;
  jobject tempH;

  op = (vtkPCAAnalysisFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPCAAnalysisFilter");
  temp20 = (op)->GetEvals();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkFloatArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPCAAnalysisFilter_SetNumberOfInputs_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkPCAAnalysisFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPCAAnalysisFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPCAAnalysisFilter");
  op->SetNumberOfInputs(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPCAAnalysisFilter_SetInput_14(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkPCAAnalysisFilter *op;
  int      temp0;
  vtkPointSet  *temp1;
  temp0 = id0;
  temp1 = (vtkPointSet *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkPointSet"));

  op = (vtkPCAAnalysisFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPCAAnalysisFilter");
  op->SetInput(temp0,temp1);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkPCAAnalysisFilter_GetInput_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkPCAAnalysisFilter *op;
  int      temp0;
  vtkPointSet  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkPCAAnalysisFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPCAAnalysisFilter");
  temp20 = (op)->GetInput(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPointSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPCAAnalysisFilter_GetParameterisedShape_16(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkPCAAnalysisFilter *op;
  vtkFloatArray  *temp0;
  vtkPointSet  *temp1;
  temp0 = (vtkFloatArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkFloatArray"));
  temp1 = (vtkPointSet *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkPointSet"));

  op = (vtkPCAAnalysisFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPCAAnalysisFilter");
  op->GetParameterisedShape(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPCAAnalysisFilter_GetShapeParameters_17(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkPCAAnalysisFilter *op;
  vtkPointSet  *temp0;
  vtkFloatArray  *temp1;
  int      temp2;
  temp0 = (vtkPointSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPointSet"));
  temp1 = (vtkFloatArray *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkFloatArray"));
  temp2 = id2;

  op = (vtkPCAAnalysisFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPCAAnalysisFilter");
  op->GetShapeParameters(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPCAAnalysisFilter_GetModesRequiredFor_18(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPCAAnalysisFilter *op;
  double   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkPCAAnalysisFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPCAAnalysisFilter");
  temp20 = (op)->GetModesRequiredFor(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPCAAnalysisFilter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkPCAAnalysisFilter *aNewOne = vtkPCAAnalysisFilter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPCAAnalysisFilter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPCAAnalysisFilter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPCAAnalysisFilter_Typecast);
}
