// java wrapper for vtkTransformToGrid object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTransformToGrid.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTransformToGrid_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTransformToGrid",dType)) { return me; }
  if ((res= vtkAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTransformToGrid_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTransformToGrid *op;
  const char    *temp20;

  op = (vtkTransformToGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformToGrid");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTransformToGrid_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTransformToGrid *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTransformToGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformToGrid");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformToGrid_SetInput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTransformToGrid *op;
  vtkAbstractTransform  *temp0;
  temp0 = (vtkAbstractTransform *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkAbstractTransform"));

  op = (vtkTransformToGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformToGrid");
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkTransformToGrid_GetInput_13(JNIEnv *env, jobject obj)
{
  vtkTransformToGrid *op;
  vtkAbstractTransform  *temp20;
  jobject tempH;

  op = (vtkTransformToGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformToGrid");
  temp20 = (op)->GetInput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkAbstractTransform", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformToGrid_SetGridExtent_14(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkTransformToGrid *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkTransformToGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformToGrid");
  op->SetGridExtent(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformToGrid_SetGridExtent_15(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkTransformToGrid *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkTransformToGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformToGrid");
  op->SetGridExtent(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkTransformToGrid_GetGridExtent_16(JNIEnv *env, jobject obj)
{
  vtkTransformToGrid *op;
  int     *temp20;

  op = (vtkTransformToGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformToGrid");
  temp20 = (op)->GetGridExtent();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformToGrid_SetGridOrigin_17(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkTransformToGrid *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkTransformToGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformToGrid");
  op->SetGridOrigin(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformToGrid_SetGridOrigin_18(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkTransformToGrid *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkTransformToGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformToGrid");
  op->SetGridOrigin(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkTransformToGrid_GetGridOrigin_19(JNIEnv *env, jobject obj)
{
  vtkTransformToGrid *op;
  double  *temp20;

  op = (vtkTransformToGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformToGrid");
  temp20 = (op)->GetGridOrigin();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformToGrid_SetGridSpacing_110(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkTransformToGrid *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkTransformToGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformToGrid");
  op->SetGridSpacing(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformToGrid_SetGridSpacing_111(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkTransformToGrid *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkTransformToGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformToGrid");
  op->SetGridSpacing(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkTransformToGrid_GetGridSpacing_112(JNIEnv *env, jobject obj)
{
  vtkTransformToGrid *op;
  double  *temp20;

  op = (vtkTransformToGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformToGrid");
  temp20 = (op)->GetGridSpacing();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformToGrid_SetGridScalarType_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkTransformToGrid *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTransformToGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformToGrid");
  op->SetGridScalarType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTransformToGrid_GetGridScalarType_114(JNIEnv *env, jobject obj)
{
  vtkTransformToGrid *op;
  int      temp20;

  op = (vtkTransformToGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformToGrid");
  temp20 = (op)->GetGridScalarType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformToGrid_SetGridScalarTypeToFloat_115(JNIEnv *env, jobject obj)
{
  vtkTransformToGrid *op;

  op = (vtkTransformToGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformToGrid");
  op->SetGridScalarTypeToFloat();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformToGrid_SetGridScalarTypeToShort_116(JNIEnv *env, jobject obj)
{
  vtkTransformToGrid *op;

  op = (vtkTransformToGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformToGrid");
  op->SetGridScalarTypeToShort();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformToGrid_SetGridScalarTypeToUnsignedShort_117(JNIEnv *env, jobject obj)
{
  vtkTransformToGrid *op;

  op = (vtkTransformToGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformToGrid");
  op->SetGridScalarTypeToUnsignedShort();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformToGrid_SetGridScalarTypeToUnsignedChar_118(JNIEnv *env, jobject obj)
{
  vtkTransformToGrid *op;

  op = (vtkTransformToGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformToGrid");
  op->SetGridScalarTypeToUnsignedChar();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformToGrid_SetGridScalarTypeToChar_119(JNIEnv *env, jobject obj)
{
  vtkTransformToGrid *op;

  op = (vtkTransformToGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformToGrid");
  op->SetGridScalarTypeToChar();
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTransformToGrid_GetDisplacementScale_120(JNIEnv *env, jobject obj)
{
  vtkTransformToGrid *op;
  double   temp20;

  op = (vtkTransformToGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformToGrid");
  temp20 = (op)->GetDisplacementScale();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTransformToGrid_GetDisplacementShift_121(JNIEnv *env, jobject obj)
{
  vtkTransformToGrid *op;
  double   temp20;

  op = (vtkTransformToGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformToGrid");
  temp20 = (op)->GetDisplacementShift();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkTransformToGrid_GetOutput_122(JNIEnv *env, jobject obj)
{
  vtkTransformToGrid *op;
  vtkImageData  *temp20;
  jobject tempH;

  op = (vtkTransformToGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformToGrid");
  temp20 = (op)->GetOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkImageData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkTransformToGrid_VTKInit(JNIEnv *env, jobject obj)
{
  vtkTransformToGrid *aNewOne = vtkTransformToGrid::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkTransformToGrid_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkTransformToGrid_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkTransformToGrid_Typecast);
}
