// java wrapper for vtkImageDifference object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageDifference.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkThreadedImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageDifference_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageDifference",dType)) { return me; }
  if ((res= vtkThreadedImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageDifference_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageDifference *op;
  const char    *temp20;

  op = (vtkImageDifference *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageDifference");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageDifference_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageDifference *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageDifference *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageDifference");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageDifference_SetImage_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageDifference *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkImageDifference *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageDifference");
  op->SetImage(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkImageDifference_GetImage_13(JNIEnv *env, jobject obj)
{
  vtkImageDifference *op;
  vtkImageData  *temp20;
  jobject tempH;

  op = (vtkImageDifference *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageDifference");
  temp20 = (op)->GetImage();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkImageData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageDifference_GetError_14(JNIEnv *env, jobject obj)
{
  vtkImageDifference *op;
  double   temp20;

  op = (vtkImageDifference *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageDifference");
  temp20 = (op)->GetError();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageDifference_GetThresholdedError_15(JNIEnv *env, jobject obj)
{
  vtkImageDifference *op;
  double   temp20;

  op = (vtkImageDifference *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageDifference");
  temp20 = (op)->GetThresholdedError();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageDifference_SetThreshold_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageDifference *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageDifference *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageDifference");
  op->SetThreshold(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageDifference_GetThreshold_17(JNIEnv *env, jobject obj)
{
  vtkImageDifference *op;
  int      temp20;

  op = (vtkImageDifference *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageDifference");
  temp20 = (op)->GetThreshold();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageDifference_SetAllowShift_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageDifference *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageDifference *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageDifference");
  op->SetAllowShift(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageDifference_GetAllowShift_19(JNIEnv *env, jobject obj)
{
  vtkImageDifference *op;
  int      temp20;

  op = (vtkImageDifference *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageDifference");
  temp20 = (op)->GetAllowShift();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageDifference_AllowShiftOn_110(JNIEnv *env, jobject obj)
{
  vtkImageDifference *op;

  op = (vtkImageDifference *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageDifference");
  op->AllowShiftOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageDifference_AllowShiftOff_111(JNIEnv *env, jobject obj)
{
  vtkImageDifference *op;

  op = (vtkImageDifference *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageDifference");
  op->AllowShiftOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageDifference_SetAveraging_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageDifference *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageDifference *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageDifference");
  op->SetAveraging(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageDifference_GetAveraging_113(JNIEnv *env, jobject obj)
{
  vtkImageDifference *op;
  int      temp20;

  op = (vtkImageDifference *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageDifference");
  temp20 = (op)->GetAveraging();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageDifference_AveragingOn_114(JNIEnv *env, jobject obj)
{
  vtkImageDifference *op;

  op = (vtkImageDifference *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageDifference");
  op->AveragingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageDifference_AveragingOff_115(JNIEnv *env, jobject obj)
{
  vtkImageDifference *op;

  op = (vtkImageDifference *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageDifference");
  op->AveragingOff();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageDifference_VTKInit(JNIEnv *env, jobject obj)
{
  vtkImageDifference *aNewOne = vtkImageDifference::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageDifference_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageDifference_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageDifference_Typecast);
}
