// java wrapper for vtkImageSeparableConvolution object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageSeparableConvolution.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkImageDecomposeFilter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageSeparableConvolution_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageSeparableConvolution",dType)) { return me; }
  if ((res= vtkImageDecomposeFilter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageSeparableConvolution_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageSeparableConvolution *op;
  const char    *temp20;

  op = (vtkImageSeparableConvolution *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageSeparableConvolution");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageSeparableConvolution_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageSeparableConvolution *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageSeparableConvolution *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageSeparableConvolution");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSeparableConvolution_SetXKernel_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageSeparableConvolution *op;
  vtkFloatArray  *temp0;
  temp0 = (vtkFloatArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkFloatArray"));

  op = (vtkImageSeparableConvolution *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageSeparableConvolution");
  op->SetXKernel(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkImageSeparableConvolution_GetXKernel_13(JNIEnv *env, jobject obj)
{
  vtkImageSeparableConvolution *op;
  vtkFloatArray  *temp20;
  jobject tempH;

  op = (vtkImageSeparableConvolution *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageSeparableConvolution");
  temp20 = (op)->GetXKernel();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkFloatArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSeparableConvolution_SetYKernel_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageSeparableConvolution *op;
  vtkFloatArray  *temp0;
  temp0 = (vtkFloatArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkFloatArray"));

  op = (vtkImageSeparableConvolution *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageSeparableConvolution");
  op->SetYKernel(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkImageSeparableConvolution_GetYKernel_15(JNIEnv *env, jobject obj)
{
  vtkImageSeparableConvolution *op;
  vtkFloatArray  *temp20;
  jobject tempH;

  op = (vtkImageSeparableConvolution *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageSeparableConvolution");
  temp20 = (op)->GetYKernel();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkFloatArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSeparableConvolution_SetZKernel_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageSeparableConvolution *op;
  vtkFloatArray  *temp0;
  temp0 = (vtkFloatArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkFloatArray"));

  op = (vtkImageSeparableConvolution *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageSeparableConvolution");
  op->SetZKernel(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkImageSeparableConvolution_GetZKernel_17(JNIEnv *env, jobject obj)
{
  vtkImageSeparableConvolution *op;
  vtkFloatArray  *temp20;
  jobject tempH;

  op = (vtkImageSeparableConvolution *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageSeparableConvolution");
  temp20 = (op)->GetZKernel();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkFloatArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageSeparableConvolution_GetMTime_18(JNIEnv *env, jobject obj)
{
  vtkImageSeparableConvolution *op;
   unsigned long     temp20;

  op = (vtkImageSeparableConvolution *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageSeparableConvolution");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageSeparableConvolution_VTKInit(JNIEnv *env, jobject obj)
{
  vtkImageSeparableConvolution *aNewOne = vtkImageSeparableConvolution::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageSeparableConvolution_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageSeparableConvolution_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageSeparableConvolution_Typecast);
}
