// java wrapper for vtkCamera object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCamera.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCamera_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCamera",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCamera_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  const char    *temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCamera_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCamera *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetPosition_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkCamera *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->SetPosition(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetPosition_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCamera *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->SetPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCamera_GetPosition_14(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  double  *temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  temp20 = (op)->GetPosition();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetFocalPoint_15(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkCamera *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->SetFocalPoint(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetFocalPoint_16(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCamera *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->SetFocalPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCamera_GetFocalPoint_17(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  double  *temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  temp20 = (op)->GetFocalPoint();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetViewUp_18(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkCamera *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->SetViewUp(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetViewUp_19(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCamera *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->SetViewUp(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCamera_GetViewUp_110(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  double  *temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  temp20 = (op)->GetViewUp();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_OrthogonalizeViewUp_111(JNIEnv *env, jobject obj)
{
  vtkCamera *op;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->OrthogonalizeViewUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetDistance_112(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCamera *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->SetDistance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCamera_GetDistance_113(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  double   temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  temp20 = (op)->GetDistance();
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCamera_GetDirectionOfProjection_114(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  double  *temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  temp20 = (op)->GetDirectionOfProjection();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_Dolly_115(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCamera *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->Dolly(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetRoll_116(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCamera *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->SetRoll(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCamera_GetRoll_117(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  double   temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  temp20 = (op)->GetRoll();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_Roll_118(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCamera *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->Roll(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_Azimuth_119(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCamera *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->Azimuth(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_Yaw_120(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCamera *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->Yaw(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_Elevation_121(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCamera *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->Elevation(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_Pitch_122(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCamera *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->Pitch(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetParallelProjection_123(JNIEnv *env, jobject obj,jint id0)
{
  vtkCamera *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->SetParallelProjection(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCamera_GetParallelProjection_124(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  int      temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  temp20 = (op)->GetParallelProjection();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_ParallelProjectionOn_125(JNIEnv *env, jobject obj)
{
  vtkCamera *op;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->ParallelProjectionOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_ParallelProjectionOff_126(JNIEnv *env, jobject obj)
{
  vtkCamera *op;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->ParallelProjectionOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetUseHorizontalViewAngle_127(JNIEnv *env, jobject obj,jint id0)
{
  vtkCamera *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->SetUseHorizontalViewAngle(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCamera_GetUseHorizontalViewAngle_128(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  int      temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  temp20 = (op)->GetUseHorizontalViewAngle();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_UseHorizontalViewAngleOn_129(JNIEnv *env, jobject obj)
{
  vtkCamera *op;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->UseHorizontalViewAngleOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_UseHorizontalViewAngleOff_130(JNIEnv *env, jobject obj)
{
  vtkCamera *op;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->UseHorizontalViewAngleOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetViewAngle_131(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCamera *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->SetViewAngle(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCamera_GetViewAngle_132(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  double   temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  temp20 = (op)->GetViewAngle();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetParallelScale_133(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCamera *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->SetParallelScale(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCamera_GetParallelScale_134(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  double   temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  temp20 = (op)->GetParallelScale();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_Zoom_135(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCamera *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->Zoom(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetClippingRange_136(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkCamera *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->SetClippingRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetClippingRange_137(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCamera *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->SetClippingRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCamera_GetClippingRange_138(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  double  *temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  temp20 = (op)->GetClippingRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetThickness_139(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCamera *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->SetThickness(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCamera_GetThickness_140(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  double   temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  temp20 = (op)->GetThickness();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetWindowCenter_141(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkCamera *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->SetWindowCenter(temp0,temp1);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCamera_GetWindowCenter_142(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  double  *temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  temp20 = (op)->GetWindowCenter();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetObliqueAngles_143(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkCamera *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->SetObliqueAngles(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_ApplyTransform_144(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCamera *op;
  vtkTransform  *temp0;
  temp0 = (vtkTransform *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkTransform"));

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->ApplyTransform(temp0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCamera_GetViewPlaneNormal_145(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  double  *temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  temp20 = (op)->GetViewPlaneNormal();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetViewShear_146(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkCamera *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->SetViewShear(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetViewShear_147(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCamera *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->SetViewShear(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCamera_GetViewShear_148(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  double  *temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  temp20 = (op)->GetViewShear();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetEyeAngle_149(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCamera *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->SetEyeAngle(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCamera_GetEyeAngle_150(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  double   temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  temp20 = (op)->GetEyeAngle();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetFocalDisk_151(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCamera *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->SetFocalDisk(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCamera_GetFocalDisk_152(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  double   temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  temp20 = (op)->GetFocalDisk();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCamera_GetViewTransformMatrix_153(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  vtkMatrix4x4  *temp20;
  jobject tempH;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  temp20 = (op)->GetViewTransformMatrix();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkMatrix4x4", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCamera_GetPerspectiveTransformMatrix_154(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkCamera *op;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkMatrix4x4  *temp20;
  jobject tempH;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  temp20 = (op)->GetPerspectiveTransformMatrix(temp0,temp1,temp2);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkMatrix4x4", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCamera_GetCompositePerspectiveTransformMatrix_155(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkCamera *op;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkMatrix4x4  *temp20;
  jobject tempH;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  temp20 = (op)->GetCompositePerspectiveTransformMatrix(temp0,temp1,temp2);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkMatrix4x4", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetUserTransform_156(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCamera *op;
  vtkHomogeneousTransform  *temp0;
  temp0 = (vtkHomogeneousTransform *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkHomogeneousTransform"));

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->SetUserTransform(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCamera_GetUserTransform_157(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  vtkHomogeneousTransform  *temp20;
  jobject tempH;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  temp20 = (op)->GetUserTransform();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkHomogeneousTransform", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_Render_158(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCamera *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderer"));

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->Render(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCamera_GetViewingRaysMTime_159(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
   unsigned long     temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  temp20 = (op)->GetViewingRaysMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_ViewingRaysModified_160(JNIEnv *env, jobject obj)
{
  vtkCamera *op;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->ViewingRaysModified();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_GetFrustumPlanes_161(JNIEnv *env, jobject obj,jdouble id0,jdoubleArray id1)
{
  vtkCamera *op;
  double   temp0;
  double temp1[24];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];
  temp1[6] = ((jdouble *)tempArray1)[6];
  temp1[7] = ((jdouble *)tempArray1)[7];
  temp1[8] = ((jdouble *)tempArray1)[8];
  temp1[9] = ((jdouble *)tempArray1)[9];
  temp1[10] = ((jdouble *)tempArray1)[10];
  temp1[11] = ((jdouble *)tempArray1)[11];
  temp1[12] = ((jdouble *)tempArray1)[12];
  temp1[13] = ((jdouble *)tempArray1)[13];
  temp1[14] = ((jdouble *)tempArray1)[14];
  temp1[15] = ((jdouble *)tempArray1)[15];
  temp1[16] = ((jdouble *)tempArray1)[16];
  temp1[17] = ((jdouble *)tempArray1)[17];
  temp1[18] = ((jdouble *)tempArray1)[18];
  temp1[19] = ((jdouble *)tempArray1)[19];
  temp1[20] = ((jdouble *)tempArray1)[20];
  temp1[21] = ((jdouble *)tempArray1)[21];
  temp1[22] = ((jdouble *)tempArray1)[22];
  temp1[23] = ((jdouble *)tempArray1)[23];

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->GetFrustumPlanes(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  ((jdouble *)tempArray1)[6] = temp1[6];
  ((jdouble *)tempArray1)[7] = temp1[7];
  ((jdouble *)tempArray1)[8] = temp1[8];
  ((jdouble *)tempArray1)[9] = temp1[9];
  ((jdouble *)tempArray1)[10] = temp1[10];
  ((jdouble *)tempArray1)[11] = temp1[11];
  ((jdouble *)tempArray1)[12] = temp1[12];
  ((jdouble *)tempArray1)[13] = temp1[13];
  ((jdouble *)tempArray1)[14] = temp1[14];
  ((jdouble *)tempArray1)[15] = temp1[15];
  ((jdouble *)tempArray1)[16] = temp1[16];
  ((jdouble *)tempArray1)[17] = temp1[17];
  ((jdouble *)tempArray1)[18] = temp1[18];
  ((jdouble *)tempArray1)[19] = temp1[19];
  ((jdouble *)tempArray1)[20] = temp1[20];
  ((jdouble *)tempArray1)[21] = temp1[21];
  ((jdouble *)tempArray1)[22] = temp1[22];
  ((jdouble *)tempArray1)[23] = temp1[23];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCamera_GetOrientation_162(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  double  *temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  temp20 = (op)->GetOrientation();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCamera_GetOrientationWXYZ_163(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  double  *temp20;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  temp20 = (op)->GetOrientationWXYZ();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetViewPlaneNormal_164(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkCamera *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->SetViewPlaneNormal(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_SetViewPlaneNormal_165(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCamera *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->SetViewPlaneNormal(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_ComputeViewPlaneNormal_166(JNIEnv *env, jobject obj)
{
  vtkCamera *op;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->ComputeViewPlaneNormal();
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCamera_GetCameraLightTransformMatrix_167(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  vtkMatrix4x4  *temp20;
  jobject tempH;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  temp20 = (op)->GetCameraLightTransformMatrix();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkMatrix4x4", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCamera_UpdateViewport_168(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCamera *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderer"));

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  op->UpdateViewport(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkCamera_GetViewTransformObject_169(JNIEnv *env, jobject obj)
{
  vtkCamera *op;
  vtkTransform  *temp20;
  jobject tempH;

  op = (vtkCamera *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkCamera");
  temp20 = (op)->GetViewTransformObject();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkTransform", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkCamera_VTKInit(JNIEnv *env, jobject obj)
{
  vtkCamera *aNewOne = vtkCamera::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkCamera_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkCamera_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkCamera_Typecast);
}
