// java wrapper for vtkDataSetMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataSetMapper.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkMapper_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDataSetMapper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDataSetMapper",dType)) { return me; }
  if ((res= vtkMapper_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataSetMapper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDataSetMapper *op;
  const char    *temp20;

  op = (vtkDataSetMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetMapper");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetMapper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetMapper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetMapper");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetMapper_Render_12(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkDataSetMapper *op;
  vtkRenderer  *temp0;
  vtkActor  *temp1;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderer"));
  temp1 = (vtkActor *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkActor"));

  op = (vtkDataSetMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetMapper");
  op->Render(temp0,temp1);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetMapper_GetPolyDataMapper_13(JNIEnv *env, jobject obj)
{
  vtkDataSetMapper *op;
  vtkPolyDataMapper  *temp20;
  jobject tempH;

  op = (vtkDataSetMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetMapper");
  temp20 = (op)->GetPolyDataMapper();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPolyDataMapper", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetMapper_ReleaseGraphicsResources_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSetMapper *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkWindow"));

  op = (vtkDataSetMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetMapper");
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetMapper_GetMTime_15(JNIEnv *env, jobject obj)
{
  vtkDataSetMapper *op;
   unsigned long     temp20;

  op = (vtkDataSetMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetMapper");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetMapper_SetInput_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSetMapper *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkDataSetMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetMapper");
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetMapper_GetInput_17(JNIEnv *env, jobject obj)
{
  vtkDataSetMapper *op;
  vtkDataSet  *temp20;
  jobject tempH;

  op = (vtkDataSetMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetMapper");
  temp20 = (op)->GetInput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDataSetMapper_VTKInit(JNIEnv *env, jobject obj)
{
  vtkDataSetMapper *aNewOne = vtkDataSetMapper::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDataSetMapper_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDataSetMapper_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDataSetMapper_Typecast);
}
