// java wrapper for vtkPolyDataMapper2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPolyDataMapper2D.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkMapper2D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPolyDataMapper2D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPolyDataMapper2D",dType)) { return me; }
  if ((res= vtkMapper2D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPolyDataMapper2D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPolyDataMapper2D *op;
  const char    *temp20;

  op = (vtkPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataMapper2D");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataMapper2D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPolyDataMapper2D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataMapper2D");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataMapper2D_SetInput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolyDataMapper2D *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPolyData"));

  op = (vtkPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataMapper2D");
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkPolyDataMapper2D_GetInput_13(JNIEnv *env, jobject obj)
{
  vtkPolyDataMapper2D *op;
  vtkPolyData  *temp20;
  jobject tempH;

  op = (vtkPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataMapper2D");
  temp20 = (op)->GetInput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPolyData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataMapper2D_SetLookupTable_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolyDataMapper2D *op;
  vtkScalarsToColors  *temp0;
  temp0 = (vtkScalarsToColors *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkScalarsToColors"));

  op = (vtkPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataMapper2D");
  op->SetLookupTable(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkPolyDataMapper2D_GetLookupTable_15(JNIEnv *env, jobject obj)
{
  vtkPolyDataMapper2D *op;
  vtkScalarsToColors  *temp20;
  jobject tempH;

  op = (vtkPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataMapper2D");
  temp20 = (op)->GetLookupTable();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkScalarsToColors", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataMapper2D_CreateDefaultLookupTable_16(JNIEnv *env, jobject obj)
{
  vtkPolyDataMapper2D *op;

  op = (vtkPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataMapper2D");
  op->CreateDefaultLookupTable();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataMapper2D_SetScalarVisibility_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyDataMapper2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataMapper2D");
  op->SetScalarVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataMapper2D_GetScalarVisibility_18(JNIEnv *env, jobject obj)
{
  vtkPolyDataMapper2D *op;
  int      temp20;

  op = (vtkPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataMapper2D");
  temp20 = (op)->GetScalarVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataMapper2D_ScalarVisibilityOn_19(JNIEnv *env, jobject obj)
{
  vtkPolyDataMapper2D *op;

  op = (vtkPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataMapper2D");
  op->ScalarVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataMapper2D_ScalarVisibilityOff_110(JNIEnv *env, jobject obj)
{
  vtkPolyDataMapper2D *op;

  op = (vtkPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataMapper2D");
  op->ScalarVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataMapper2D_SetColorMode_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyDataMapper2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataMapper2D");
  op->SetColorMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataMapper2D_GetColorMode_112(JNIEnv *env, jobject obj)
{
  vtkPolyDataMapper2D *op;
  int      temp20;

  op = (vtkPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataMapper2D");
  temp20 = (op)->GetColorMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataMapper2D_SetColorModeToDefault_113(JNIEnv *env, jobject obj)
{
  vtkPolyDataMapper2D *op;

  op = (vtkPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataMapper2D");
  op->SetColorModeToDefault();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataMapper2D_SetColorModeToMapScalars_114(JNIEnv *env, jobject obj)
{
  vtkPolyDataMapper2D *op;

  op = (vtkPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataMapper2D");
  op->SetColorModeToMapScalars();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPolyDataMapper2D_GetColorModeAsString_115(JNIEnv *env, jobject obj)
{
  vtkPolyDataMapper2D *op;
  const char    *temp20;

  op = (vtkPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataMapper2D");
  temp20 = (op)->GetColorModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataMapper2D_SetUseLookupTableScalarRange_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyDataMapper2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataMapper2D");
  op->SetUseLookupTableScalarRange(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataMapper2D_GetUseLookupTableScalarRange_117(JNIEnv *env, jobject obj)
{
  vtkPolyDataMapper2D *op;
  int      temp20;

  op = (vtkPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataMapper2D");
  temp20 = (op)->GetUseLookupTableScalarRange();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataMapper2D_UseLookupTableScalarRangeOn_118(JNIEnv *env, jobject obj)
{
  vtkPolyDataMapper2D *op;

  op = (vtkPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataMapper2D");
  op->UseLookupTableScalarRangeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataMapper2D_UseLookupTableScalarRangeOff_119(JNIEnv *env, jobject obj)
{
  vtkPolyDataMapper2D *op;

  op = (vtkPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataMapper2D");
  op->UseLookupTableScalarRangeOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataMapper2D_SetScalarRange_120(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkPolyDataMapper2D *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataMapper2D");
  op->SetScalarRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataMapper2D_SetScalarRange_121(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPolyDataMapper2D *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataMapper2D");
  op->SetScalarRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkPolyDataMapper2D_GetScalarRange_122(JNIEnv *env, jobject obj)
{
  vtkPolyDataMapper2D *op;
  double  *temp20;

  op = (vtkPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataMapper2D");
  temp20 = (op)->GetScalarRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataMapper2D_SetScalarMode_123(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyDataMapper2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataMapper2D");
  op->SetScalarMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataMapper2D_GetScalarMode_124(JNIEnv *env, jobject obj)
{
  vtkPolyDataMapper2D *op;
  int      temp20;

  op = (vtkPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataMapper2D");
  temp20 = (op)->GetScalarMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataMapper2D_SetScalarModeToDefault_125(JNIEnv *env, jobject obj)
{
  vtkPolyDataMapper2D *op;

  op = (vtkPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataMapper2D");
  op->SetScalarModeToDefault();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataMapper2D_SetScalarModeToUsePointData_126(JNIEnv *env, jobject obj)
{
  vtkPolyDataMapper2D *op;

  op = (vtkPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataMapper2D");
  op->SetScalarModeToUsePointData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataMapper2D_SetScalarModeToUseCellData_127(JNIEnv *env, jobject obj)
{
  vtkPolyDataMapper2D *op;

  op = (vtkPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataMapper2D");
  op->SetScalarModeToUseCellData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataMapper2D_SetScalarModeToUsePointFieldData_128(JNIEnv *env, jobject obj)
{
  vtkPolyDataMapper2D *op;

  op = (vtkPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataMapper2D");
  op->SetScalarModeToUsePointFieldData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataMapper2D_SetScalarModeToUseCellFieldData_129(JNIEnv *env, jobject obj)
{
  vtkPolyDataMapper2D *op;

  op = (vtkPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataMapper2D");
  op->SetScalarModeToUseCellFieldData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataMapper2D_ColorByArrayComponent_130(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkPolyDataMapper2D *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataMapper2D");
  op->ColorByArrayComponent(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataMapper2D_ColorByArrayComponent_131(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkPolyDataMapper2D *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataMapper2D");
  op->ColorByArrayComponent(temp0,temp1);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPolyDataMapper2D_GetArrayName_132(JNIEnv *env, jobject obj)
{
  vtkPolyDataMapper2D *op;
  char    *temp20;

  op = (vtkPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataMapper2D");
  temp20 = (op)->GetArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataMapper2D_GetArrayId_133(JNIEnv *env, jobject obj)
{
  vtkPolyDataMapper2D *op;
  int      temp20;

  op = (vtkPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataMapper2D");
  temp20 = (op)->GetArrayId();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataMapper2D_GetArrayAccessMode_134(JNIEnv *env, jobject obj)
{
  vtkPolyDataMapper2D *op;
  int      temp20;

  op = (vtkPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataMapper2D");
  temp20 = (op)->GetArrayAccessMode();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataMapper2D_GetArrayComponent_135(JNIEnv *env, jobject obj)
{
  vtkPolyDataMapper2D *op;
  int      temp20;

  op = (vtkPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataMapper2D");
  temp20 = (op)->GetArrayComponent();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataMapper2D_GetMTime_136(JNIEnv *env, jobject obj)
{
  vtkPolyDataMapper2D *op;
   unsigned long     temp20;

  op = (vtkPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataMapper2D");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataMapper2D_SetTransformCoordinate_137(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolyDataMapper2D *op;
  vtkCoordinate  *temp0;
  temp0 = (vtkCoordinate *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCoordinate"));

  op = (vtkPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataMapper2D");
  op->SetTransformCoordinate(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkPolyDataMapper2D_GetTransformCoordinate_138(JNIEnv *env, jobject obj)
{
  vtkPolyDataMapper2D *op;
  vtkCoordinate  *temp20;
  jobject tempH;

  op = (vtkPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataMapper2D");
  temp20 = (op)->GetTransformCoordinate();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkCoordinate", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkPolyDataMapper2D_MapScalars_139(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPolyDataMapper2D *op;
  double   temp0;
  vtkUnsignedCharArray  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataMapper2D");
  temp20 = (op)->MapScalars(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkUnsignedCharArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataMapper2D_ShallowCopy_140(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolyDataMapper2D *op;
  vtkAbstractMapper  *temp0;
  temp0 = (vtkAbstractMapper *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkAbstractMapper"));

  op = (vtkPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkPolyDataMapper2D");
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPolyDataMapper2D_VTKInit(JNIEnv *env, jobject obj)
{
  vtkPolyDataMapper2D *aNewOne = vtkPolyDataMapper2D::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPolyDataMapper2D_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkPolyDataMapper2D_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkPolyDataMapper2D_Typecast);
}
