// java wrapper for vtkRendererCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRendererCollection.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkCollection_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkRendererCollection_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkRendererCollection",dType)) { return me; }
  if ((res= vtkCollection_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRendererCollection_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkRendererCollection *op;
  const char    *temp20;

  op = (vtkRendererCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRendererCollection");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRendererCollection_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRendererCollection *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRendererCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRendererCollection");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRendererCollection_AddItem_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRendererCollection *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderer"));

  op = (vtkRendererCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRendererCollection");
  op->AddItem(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkRendererCollection_GetNextItem_13(JNIEnv *env, jobject obj)
{
  vtkRendererCollection *op;
  vtkRenderer  *temp20;
  jobject tempH;

  op = (vtkRendererCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRendererCollection");
  temp20 = (op)->GetNextItem();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkRenderer", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRendererCollection_Render_14(JNIEnv *env, jobject obj)
{
  vtkRendererCollection *op;

  op = (vtkRendererCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRendererCollection");
  op->Render();
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkRendererCollection_GetFirstRenderer_15(JNIEnv *env, jobject obj)
{
  vtkRendererCollection *op;
  vtkRenderer  *temp20;
  jobject tempH;

  op = (vtkRendererCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRendererCollection");
  temp20 = (op)->GetFirstRenderer();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkRenderer", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkRendererCollection_VTKInit(JNIEnv *env, jobject obj)
{
  vtkRendererCollection *aNewOne = vtkRendererCollection::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkRendererCollection_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkRendererCollection_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkRendererCollection_Typecast);
}
